Get Blog Post
Returns a single Blog Post.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
id
ID of the blog post.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
OK
body
Text body of the blog post.
id
ID of this blog post. READ-ONLY.
is_published
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
meta_description
Description text for this blog post’s <meta/> element.
meta_keywords
Keywords for this blog post’s <meta/> element.
preview_url
URL to preview the blog post. READ-ONLY.
published_date
published_date_iso8601
Published date in ISO 8601 format.
summary
Summary of the blog post. READ-ONLY.
thumbnail_path
Local path to a thumbnail uploaded to /product_images/ using WebDAV.
title
Title of this blog post.
url
URL for the public blog post.